List of all members
clan::UTF8_Reader Class Reference
clanCore Text

UTF8 reader helper functions. More...

`#include <utf8_reader.h>`

## Public Member Functions
Construction
| UTF8_Reader (const std::string::value_type *text, std::string::size_type length)
| Important: text is not copied by this class and must remain valid during its usage. More...
Operations
bool | is_end ()
| Returns true if the current position is at the end of the string. More...
unsigned int | get_char ()
| Get the character at the current position. More...
std::string::size_type | get_char_length ()
| Returns the length of the current character. More...
void | prev ()
| Moves position to the previous character. More...
void | next ()
| Moves position to the next character. More...
void | move_to_leadbyte ()
| Moves position to the lead byte of the character. More...
std::string::size_type | get_position ()
| Get the current position of the reader. More...
void | set_position (std::string::size_type position)
| Set the current position of the reader. More...

## Detailed Description

UTF8 reader helper functions.

The documentation for this class was generated from the following file:

- utf8_reader.h